Metric timeline for an asset
GET
/portfolio/graphs/asset/{asset}/metric-timelineReturns time-series data for one or more named metrics over a date range, at the requested interval granularity.
Path parameters
The asset ID
Query parameters
- One of:
CommittedCapital,CalledCapital,PaidIn,Valuation,Distribution,DPI,TVPI,RVPI,UncalledCapital,CapitalGains,XIRR,Investment,Dividend,Redemption,OtherIncome,ReturnOnCapital,Yield,Multiple,Profit
Responses
200
[
{}
]404
Not found
422
Validation error
Examples
curl https://your-org-domain/kong/core/api/v2/portfolio/graphs/asset/{asset}/metric-timeline?start_date={start_date}&end_date={end_date}¤cy={currency}\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"